%define _use_internal_dependency_generator 0

Summary: A Perl interface to the World-Wide Web.
Name: perl-libwww-perl
Version: 5.65
Release: 5.72
License: distributable
Group: Applications/CPAN
Source0: libwww-perl-%{version}.tar.gz
Source10: filter-depends.sh
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-libwww-perl-buildroot/
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503
#Requires: perl(URI) perl(Digest::MD5)
#Requires: perl(HTML::Parser)
#Requires: perl(HTML::Entities)
Requires: perl-URI
Requires: perl-HTML-Parser
Requires: perl-Digest-MD5
#BuildRequires: perl(MIME::Base64)
#BuildRequires: perl(HTML::Entities)
BuildRequires: perl-MIME-Base64
BuildRequires: perl-HTML-Parser
BuildArch: noarch

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web.  The main focus of the library is to provide classes
and functions that allow you to write WWW clients. The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires %{SOURCE10}

%prep
%setup -q -n libwww-perl-%{version} 

%build
#CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INST_EXE=$RPM_BUILD_ROOT/usr/bin PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor < /dev/null
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INST_EXE=$RPM_BUILD_ROOT/usr/bin PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=site < /dev/null
cp Makefile Makefile.bak
cat Makefile.bak | sed -e 's/lib\/site_perl/lib\/perl5\/site_perl/' > Makefile
rm Makefile.bak
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > libwww-perl-%{version}-filelist
if [ "$(cat libwww-perl-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f libwww-perl-%{version}-filelist
%defattr(-,root,root)
%dir /usr/lib/perl5/site_perl/%(perl -MConfig -e 'print $Config{version}')/LWP
%dir /usr/lib/perl5/site_perl/%(perl -MConfig -e 'print $Config{version}')/Net
%dir /usr/lib/perl5/site_perl/%(perl -MConfig -e 'print $Config{version}')/WWW
%dir /usr/lib/perl5/site_perl/%(perl -MConfig -e 'print $Config{version}')/WWW/RobotRules
%dir /usr/lib/perl5/site_perl/%(perl -MConfig -e 'print $Config{version}')/File
%dir /usr/lib/perl5/site_perl/%(perl -MConfig -e 'print $Config{version}')/HTML
%dir /usr/lib/perl5/site_perl/%(perl -MConfig -e 'print $Config{version}')/HTTP


%changelog
* Tue Jan 28 2003 Jhon H. Caicedo <jhcaiced@osso.org.co> 5.65-5.72
- rebuild for RedHat-7.2
- changed INSTALLDIRS=vendor to INSTALLDIRS=site
- fixed site_perl path in Makefile using a sed script
- changed Requires and BuildRequires perl() syntax to package names

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jul 16 2002 Chip Turner <cturner@redhat.com>
- added missing Requires on perl(HTML::Entities)

* Fri Mar 29 2002 Chip Turner <cturner@redhat.com>
- added Requires: for perl-URI and perl-Digest-MD5

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
